updateBotCallbackQuery
A callback button was pressed, and the button data was sent to the bot that created the button
Header Parameters
X-Webhook-Signature*string
HMAC-SHA256 hex digest of the raw request body
X-Webhook-Event*string
The delivered Telegram event type
X-Webhook-Id*string
Unique event ID for idempotency
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
eventId*string
Unique event identifier
eventType*"telegram.updateBotCallbackQuery"
Value in
- "telegram.updateBotCallbackQuery"
eventDate*string
Format
date-timeworkspaceId*string
data*
Response Body
Example Requests
POST
/telegram.updateBotCallbackQueryupdateBotBusinessConnect
Connecting or disconnecting a business bot or changing the connection settings will emit an `RawUpdateBotBusinessConnect` update to the bot, with the new settings and a connection_id that will be used by the bot to handle updates from and send messages as the user.
updateBotChatBoost
A channel/supergroup boost has changed (bots only)